Bug 50982 - : Freezing rows/cols does not work with sheets beyond #2 - XLS file
Summary: : Freezing rows/cols does not work with sheets beyond #2 - XLS file
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 57169 67820 68042 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-06-11 14:09 UTC by David Lambert
Modified: 2014-07-05 04:34 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
XLS file showing issue (5.50 KB, application/vnd.ms-excel)
2012-06-11 14:09 UTC, David Lambert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Lambert 2012-06-11 14:09:11 UTC
Created attachment 62904 [details]
XLS file showing issue

Problem description: 
    Freezing rows/cols does not work with sheets beyond #2 - XLS file

Steps to reproduce:
    1. Open the attached XLS file
    2. look at 'sheet 2' and compare to 'sheet 3'

Current behavior:
    Sheets 3 and above have no frozen rows/cols

Expected behavior:
    All sheets should have the same frozen rows/cols

Notes:

    The file is OK when opened with Excel 2003, Excel 2007, and Gnumeric 1.10.12. The panes appear where expected and fiddling with the mouse wheel and the horizontal scroll bar produce the expected effects in all 5 sheets. 

    The problem appears with LibreOffice Calc 3.5.2.2, 
and LibreOffice 3.5.1.2 Build ID: dc9775d-05ecbee-0851ad3-1586698-727bf66, on Snow Leopard.

    The problem DOES NOT occur with LibreOffice 3.4.5 OOO340m1 (Build:502),  on Lion

    See also python-excel thread:
   https://groups.google.com/forum/?fromgroups#!topic/python-excel/IJlRlZrxP3g



Platform (if different from the browser): 
    Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_3) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.63 Safari/535.7
Comment 1 bfoman (inactive) 2012-06-21 04:49:14 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Sheets 3 and above have no frozen rows/cols. Works like expected in Excel 2010.
Comment 2 bfoman (inactive) 2012-06-22 11:45:56 UTC

*** This bug has been marked as a duplicate of bug 49742 ***
Comment 3 ign_christian 2013-05-09 09:15:50 UTC

*** This bug has been marked as a duplicate of bug 61060 ***
Comment 4 ign_christian 2013-06-05 15:14:50 UTC

*** This bug has been marked as a duplicate of bug 49742 ***
Comment 5 Ma Xiaojun 2013-08-07 11:59:33 UTC
This is not a duplicate of bug 49742 as this bug concerns file load rather than file save.
Comment 6 Ma Xiaojun 2013-08-07 12:00:06 UTC
*** Bug 67820 has been marked as a duplicate of this bug. ***
Comment 7 Urmas 2013-08-13 16:08:32 UTC
*** Bug 57169 has been marked as a duplicate of this bug. ***
Comment 8 Urmas 2013-08-13 16:08:40 UTC
*** Bug 68042 has been marked as a duplicate of this bug. ***
Comment 9 ign_christian 2014-06-19 04:41:36 UTC
It seems to be fixed. Bug not happen again under LO 4.2.5.2 - Ubuntu 12.04 32bit.

Confirm same results with AOO 4.1 and Kingsoft 9.1.0.4280

Please set WORKSFORME if anyone can confirm too.
Comment 10 ign_christian 2014-07-05 04:34:18 UTC
It's ok with 4.3.0.2 and 4.1.6.2. Perhaps it's fixed somewhere in 4.1.x